landscape-sysinfo crashed with IOError in _open()

Bug #649997 reported by Rodolfo Augusto Manzoli on 2010-09-28
176
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Landscape Client
High
Kevin McDermott
landscape-client (Ubuntu)
High
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: landscape-client

landscape-sysinfo crashed with IOError in _open()

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: landscape-common 1.5.5.1-0ubuntu0.10.10.0
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Tue Sep 28 13:14:19 2010
ExecutablePath: /usr/bin/landscape-sysinfo
InstallationMedia:

InterpreterPath: /usr/bin/python2.6
ProcCmdline: /usr/bin/python /usr/bin/landscape-sysinfo
ProcEnviron: PATH=(custom, no user)
PythonArgs: ['/usr/bin/landscape-sysinfo']
SourcePackage: landscape-client
Title: landscape-sysinfo crashed with IOError in _open()
UserGroups:

tags: removed: need-duplicate-check
Andreas Hasenack (ahasenack) wrote :

The error is:
IOError: [Errno 30] Read-only file system: '/var/log/landscape/sysinfo.log'

Looks like the filesystem where that file resides (/var, or /) is mounted read-only. That can happen if the OS detects errors. Can you please check that? Loook into dmesg's output, and mount.

Changed in landscape-client (Ubuntu):
status: New → Incomplete
Andreas Hasenack (ahasenack) wrote :

Hi, any other information about this?

Launchpad Janitor (janitor) wrote :

[Expired for landscape-client (Ubuntu) because there has been no activity for 60 days.]

Changed in landscape-client (Ubuntu):
status: Incomplete → Expired
tags: added: bugpattern-needed
Sidnei da Silva (sidnei) on 2011-02-07
Changed in landscape-client (Ubuntu):
status: Expired → Confirmed
Changed in landscape-client:
status: New → Confirmed
visibility: private → public
tags: added: bugpattern-written
removed: bugpattern-needed
Changed in landscape-client:
milestone: none → 11.02
assignee: nobody → Kevin McDermott (bigkevmcd)
importance: Undecided → High
Changed in landscape-client (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in landscape-client:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.11.04.0

---------------
landscape-client (11.02-0ubuntu0.11.04.0) natty; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes
 -- Andreas Hasenack <email address hidden> Tue, 01 Mar 2011 15:38:11 -0300

Changed in landscape-client (Ubuntu):
status: Triaged → Fix Released

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted landscape-client into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

This package has been in karmic-proposed for some time without verification. I removed it as karmic is end-of-life now.

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Won't Fix
Andreas Hasenack (ahasenack) wrote :

Verified fixed in lucid and maverick with their respective landscape-common proposed packages:
- 11.02-0ubuntu0.10.04.1
- 11.02-0ubuntu0.10.10.1

Martin Pitt (pitti) on 2011-05-04
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.10.10.1

---------------
landscape-client (11.02-0ubuntu0.10.10.1) maverick-proposed; urgency=low

  * debian/control, debian/rules: Add quilt
  * debian/patches/fix-landscape-monitor.patch: Fix landscape
    monitoring with gir1.0-gudev-1.0 installed. (LP: #747498)

landscape-client (11.02-0ubuntu0.10.10.0) maverick-proposed; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes

    - Use a better load check for the sysinfo wrapper, taking into account the
      number of cores (LP: #643565).

    - Add an option to bootstrap cloud instances using cloud-init
      (LP: #701972).

    - Fix packaging for Natty (LP: #688115).

    - Force deletion of all the persist data for the monitoring plugins at
      resynchronization, instead of relying each one of them to do
      (LP: #688161).

    - Don't send the mount-activity message to the server anymore
      (LP: #688514).

    - Workaround a new behavior in NetworkManager where getfqdn would report
      localhost instead of useful hostname (LP: #649142).

landscape-client (1.5.5.1-0ubuntu0.10.10.0) maverick; urgency=low

  * The client network plugin would send erroneous data if a network
    interface was removed (and its kernel module removed as well) and
    then readded (LP: #641264).
 -- Chuck Short <email address hidden> Tue, 12 Apr 2011 13:56:38 -0400

Changed in landscape-client (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.10.04.1

---------------
landscape-client (11.02-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * debian/control, debian/rules: Add quilt
  * debian/patches/fix-landscape-monitor.patch: Fix landscape:
    monitoring with gir1.0-gudev-1.0 installed. (LP: #747498)

landscape-client (11.02-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes

    - Use a better load check for the sysinfo wrapper, taking into account the
      number of cores (LP: #643565).

    - Add an option to bootstrap cloud instances using cloud-init
      (LP: #701972).

    - Fix packaging for Natty (LP: #688115).

    - Force deletion of all the persist data for the monitoring plugins at
      resynchronization, instead of relying each one of them to do
      (LP: #688161).

    - Don't send the mount-activity message to the server anymore
      (LP: #688514).

    - Workaround a new behavior in NetworkManager where getfqdn would report
      localhost instead of useful hostname (LP: #649142).
 -- Chuck Short <email address hidden> Tue, 12 Apr 2011 14:38:20 -0400

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers